#ifndef ITEMDLG_H
#define ITEMDLG_H

#include <QtWidgets/QDialog>
#include "ui_itemdlg.h"

class ItemDlg : public QDialog
{
	Q_OBJECT

public:
	ItemDlg(QWidget *parent = 0);
	~ItemDlg();

	int getActionType();

	double getExposureTime();
	QString getMaskFile();
	void getMove(bool *bOrigin, double *x, double *y);

	void setExposureTime(double time);
	void setMaskFile(const QString file);
	void setMove(bool bOrigin, double x, double y);

	void disableTab(int index);

private slots:
	void slotOpenMaskBtnClicked();

private:
	Ui::ItemDlg ui;
};

#endif // ITEMDLG_H
